Subject: Re: Pine - a Program for Internet News & Email

From: [email-masked] (Scott Buntin)
Date: 31 Oct 1996 08:33:30 GMT

On 31 Oct 1996 02:29:56 GMT, Paul Smith <[email-masked]> wrote:
>In article <[email-masked]>, [email-masked] 
>says...
>>Ye Hong wrote:
>>> > once again the same question: how can I read the mail of another user in
>>> > the same system? I run the AIX 4.1, and I have three accounts. I would
>>> > like to read mail from all the accounts starting single Pine.
>>> Why don't you add .forward file in your multi-accounts so that all
>>> emails will finally go to only one account?
>>
>>I use few accounts in order to separate email regarding different
>>aspects of my work. E.g. one of my accounts is for administering
>>listservers only, the onother one for all the stuff regarding contacts
>>with my supercomputer users etc.
>>-- 
>>
>>Pawel Misiak
>
>I enable "incoming folders" in pine and use `procmail' as a filter to 
>distribute new mail into an appropriate folder.
>
>Stuff that needs regular attention (e.g cron output from daily sysadmin 
>tasks, notification of firewall issues, postmaster related stuff) goes into 
>its own `incoming folder'; stuff that is of interest when I get around to it 
>goes straight to a regular folder (non-incoming) and I check it over morning 
>coffee etc.
>
>Thus, a .forward in your other accounts could feed mail to your favourite 
>account where procmail could distribute and filter it.
>

Or, if like me, you haven't quite got procmail working yet, try the following:

In your .pinerc, setup alternate incoming folders like so:

incoming-folders=ACCOUNT2 {xxx.xxx.xxx.xxx}/var/spool/mail/accountname,
		 ACCOUNT3 {xxx.xxx.xxx.xxx}/var/spool/mail/otheraccountname,
		 JOEBOB   {127.0.0.1}/var/spool/mail/joeb

Where ACCOUNTx & JOEBOB are the folder names displayed, xx.xx.xx.xx are the
IP address of your machine(s), and the /var/spool/mail... lines are the actual
system mailboxes for the accounts.

In this case, you must set these as {host}/mailbox, in order to force userid
and password checking.  If you try to access them as files, i.e. 
ACCOUNT2 /var/spool/mail/name, you'll get a "permission denied" message.  With
the {host} syntax, you'll get in, as long as you know the userID's and passwords.

I had trouble with using {localhost}, but I *think* that's because my /etc/hosts
file is a bit screwy.  127.0.0.1 worked, as is my FQDN.  

I wasn't able to access my root account from my sbuntin account, though.  This is
probably a good thing.  If you're root as well as a mortal user, you'll need to
run pine as root to access everything including root.  This is a bit more involved
than .forward'ing everything to one account, but you've still got separate folders.

--  
Scott Buntin